package ru.yandex.webmaster3.storage.history;

import ru.yandex.webmaster3.core.data.HttpCodeInfo;
import ru.yandex.wmtools.common.util.http.YandexHttpStatus;

/**
 * User: azakharov
 * Date: 16.03.15
 * Time: 17:12
 */
public class HttpCodeIndicator extends Indicator<YandexHttpStatus> {
    private final HttpCodeInfo httpCodeInfo;

    public HttpCodeIndicator(HttpCodeInfo httpCodeInfo) {
        super(httpCodeInfo.getStatus());
        this.httpCodeInfo = httpCodeInfo;
    }

    public HttpCodeInfo getHttpCodeInfo() {
        return httpCodeInfo;
    }
}
